Name: mongoc
Version: 1.17.1
Release: 2
License: Apache-2.0
Summary: A Cross Platform MongoDB Client Library for C
Url: http://mongoc.org

Source0: https://github.com/mongodb/mongo-c-driver/releases/download/%{version}/mongo-c-driver-%{version}.tar.gz

Patch0: mongoc-pase-no-libresolv.patch

BuildRequires: cmake >= 3.16.0
BuildRequires: zlib-devel
BuildRequires: snappy-devel
BuildRequires: openssl-devel >= 1.1.1


%description
The MongoDB C Driver, also known as "libmongoc", is the official client library
for C applications, and provides a base for MongoDB drivers in higher-level
languages. It depends on libbson to create and parse BSON data.

%package -n libmongoc-1
Summary: A Cross Platform MongoDB Client Library for C

%description -n libmongoc-1
The MongoDB C Driver, also known as "libmongoc", is the official client library
for C applications, and provides a base for MongoDB drivers in higher-level
languages. It depends on libbson to create and parse BSON data.


%package devel
Summary: Development package for libmongoc
Requires: libmongoc-1 = %{version}-%{release}
Requires: libbson-devel = %{version}-%{release}

%description devel
Development package for libmongoc


%package -n libbson-1
Summary: BSON parsing library

%description -n libbson-1
libbson builds, parses, and iterates BSON documents, the native data format of
MongoDB. It also converts BSON to and from JSON, and provides a platform
compatibility layer for the MongoDB C Driver.


%package -n libbson-devel
Summary: Development package for libbson
Requires: libbson-1 = %{version}-%{release}

%description -n libbson-devel
Development package for libbson


%prep
%setup -q -n mongo-c-driver-%{version}

%patch0 -p1

mkdir cmake-build

%build
cd cmake-build

# TODO: Ideally, this should be set by CMakeLists.txt somewhere
export CFLAGS='-D_BSD=44 -pthread'
export LDFLAGS="-Wl,-bbigtoc -pthread"

# PASE doesn't have librt, so ENABLE_SHM_COUNTERS must be disabled

cmake \
  -DCMAKE_INSTALL_PREFIX=%{_prefix} \
  -DENABLE_AUTOMATIC_INIT_AND_CLEANUP=OFF \
  -DENABLE_SSL=OPENSSL \
  -DENABLE_SASL=OFF \
  -DENABLE_STATIC=ON \
  -DENABLE_TESTS=ON \
  -DENABLE_MONGOC=ON \
  -DENABLE_BSON=ON \
  -DENABLE_SNAPPY=ON \
  -DENABLE_ZLIB=SYSTEM \
  -DENABLE_MAN_PAGES=OFF \
  -DENABLE_HTML_DOCS=OFF \
  -DENABLE_SHM_COUNTERS=OFF \
  -DENABLE_ICU=OFF \
  -DENABLE_TRACING=ON \
  -DENABLE_MONGODB_AWS_AUTH=OFF \
  ..
  

%make_build

%install
cd cmake-build

%make_install

find %{buildroot} -name \*static\* -type f | xargs rm
find %{buildroot} -name \*static\* -type d | xargs rmdir

rm %{buildroot}%{_libdir}/libmongoc-1.0.so %{buildroot}%{_libdir}/libmongoc-1.0.so.0 %{buildroot}%{_libdir}/libbson-1.0.so %{buildroot}%{_libdir}/libbson-1.0.so.0

mv %{buildroot}%{_libdir}/libmongoc-1.0.so.0.0.0 %{buildroot}%{_libdir}/libmongoc-1.0.so.0

mv %{buildroot}%{_libdir}/libbson-1.0.so.0.0.0 %{buildroot}%{_libdir}/libbson-1.0.so.0

ln -s libmongoc-1.0.so.0 %{buildroot}%{_libdir}/libmongoc-1.0.so

ln -s libbson-1.0.so.0 %{buildroot}%{_libdir}/libbson-1.0.so

rm %{buildroot}%{_datadir}/mongo-c-driver/uninstall.sh

%files 
%defattr(-, qsys, *none)

%license %{_datadir}/mongo-c-driver/COPYING
%doc %{_datadir}/mongo-c-driver/NEWS
%doc %{_datadir}/mongo-c-driver/README.rst
%doc %{_datadir}/mongo-c-driver/THIRD_PARTY_NOTICES


%files -n libbson-1
%defattr(-, qsys, *none)

%{_libdir}/libbson-1.0.so.*


%files -n libmongoc-1
%defattr(-, qsys, *none)

%{_libdir}/libmongoc-1.0.so.*


%files devel
%defattr(-, qsys, *none)

%{_libdir}/pkgconfig/libmongoc-1.0.pc
%{_libdir}/pkgconfig/libmongoc-ssl-1.0.pc

%{_libdir}/cmake/*mongoc-1.0

%{_includedir}/libmongoc-1.0

%{_libdir}/libmongoc-1.0.so

%files -n libbson-devel
%defattr(-, qsys, *none)

%{_libdir}/cmake/*bson-1.0

%{_includedir}/libbson-1.0

%{_libdir}/pkgconfig/libbson-1.0.pc

%{_libdir}/libbson-1.0.so


%changelog
* Tue Nov 10 2020 Kevin Adler <kadler@us.ibm.com> - 1.17.1
- Link with OpenSSL 1.1

* Wed Oct 28 2020 Naveen Ram <naveen.ram@ibm.com>
- Update to version 1.17.1

* Wed Dec 4 2019 Abdirahim Musse <abdirahim.musse@ibm.com>
- Use SPDX license identifier

* Wed Jul 25 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix dependency in mongoc-devel

* Wed Jul 25 2018 - Kevin Adler <kadler@us.ibm.com>
- Add mongoc, the Mongo C client library (includes libbson)
